Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class TIMEOUTHelper

    java.lang.Object
      |
      +--org.omg.CORBA.TIMEOUTHelper

public class TIMEOUTHelper
extends java.lang.Object

Helper class for : TIMEOUT

Author:
  OpenORB Compiler

Constructor Summary
`TIMEOUTHelper()`

Method Summary
`static TIMEOUT` | `extract(Any a)` Extract TIMEOUT from an any
`static java.lang.String` | `id()` Return the TIMEOUT IDL ID
`static void` | `insert(Any a, TIMEOUT t)` Insert TIMEOUT into an any
`static TIMEOUT` | `read(InputStream istream)` Read TIMEOUT from a marshalled stream
`static TypeCode` | `type()` Return the TIMEOUT TypeCode
`static void` | `write(OutputStream ostream, TIMEOUT value)` Write TIMEOUT into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TIMEOUTHelper

    public TIMEOUTHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TIMEOUT t)

  Insert TIMEOUT into an any
  Parameters:
    `a` - an any
    `t` - TIMEOUT value

### extract

    public static TIMEOUT extract(Any a)

  Extract TIMEOUT from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted TIMEOUT value

### type

    public static TypeCode type()

  Return the TIMEOUT TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the TIMEOUT IDL ID
  Returns:
    an ID

### read

    public static TIMEOUT read(InputStream istream)

  Read TIMEOUT from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed TIMEOUT value

### write

    public static void write(OutputStream ostream,
                             TIMEOUT value)

  Write TIMEOUT into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - TIMEOUT value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD